<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_af9f5df6df6e4ab6fd5318e" . "899627078" => base64_decode("ZG9jdW1lb" . "nRfdHlwZQ" . "=="), "_374bf250a2cd" . "00d5f5742fea7" . "c487197" => base64_decode("ZG9jdW1lbnRfdGl0bG" . "U="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_374bf250a2cd00d5f5742fe" . "a7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_af9f5df6df6e4ab6fd5318e8996270" . "78"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}